package Common.Visual.Trees;
import Common.MainModule_;
import Common.Visual.Themes.ThemeElement;

import javax.swing.tree.DefaultTreeCellRenderer;
public class StyledTreeCellRenderer extends DefaultTreeCellRenderer implements ThemeElement {
    public StyledTreeCellRenderer() {
        applyTheme();
    }
    @Override
    public void applyTheme() {
        setBackgroundNonSelectionColor(MainModule_.instance.getUI().getTheme().trees_background);
        setBackgroundSelectionColor(MainModule_.instance.getUI().getTheme().selection_background);
    }
}
